% align two images using registration

function [x,y,shifted]=find_best_circshift2(x,y)
x1=x(50:end-50,50:end-50);
y1=y(50:end-50,50:end-50);
[optimizer, metric] = imregconfig('monomodal');

%optimizer.InitialRadius = 0.009;
%optimizer.Epsilon = 1.5e-4;
%optimizer.GrowthFactor = 1.01;
%optimizer.MaximumIterations = 300;

tform = imregtform(y1, x1, 'translation', optimizer, metric);

shifted = imwarp(y,tform,'OutputView',imref2d(size(x)));

